import Keycloak from 'keycloak-js';

let initOptions = {
    url: process.env.KEYCLOAK_URL,
    realm: process.env.KEYCLOAK_REALM as string,
    clientId: process.env.KEYCLOAK_CLIENT as string,
    onLoad: 'check-sso',
    KeycloakResponseType: 'code',
}

let kc = new Keycloak(initOptions);

kc.init({
    // @ts-ignore
    onLoad: initOptions.onLoad,
    KeycloakResponseType: 'code',
    silentCheckSsoRedirectUri: window.location.origin + "/silent-check-sso.html",
    checkLoginIframe: false,
    pkceMethod: 'S256'
}).then(() => {
    if (kc.onTokenExpired) {
        kc.onTokenExpired = () => kc.updateToken();
    }
})


export default kc;